var Plot = window.Plot || (function(){
	var config = {};
        var plot_id=0;
        window.mdRenderer.plot=function(code, escaped, styles, opts) {
           ++plot_id;
           if(styles=='') styles='width:500px;height:500px';
           var matches=/width:([0-9]+)/.exec(styles);
           var width=500;
           if(matches) width=matches[1];
	   else styles='width:500px;'+styles;
           matches=/height:([0-9]+)/.exec(styles);
           var height=500;
           if(matches) height=matches[1];
	   else styles='height:500px;'+styles;
           return "<div class=\"plot\" id=\"plot_"+plot_id+"\" style=\""+styles+"\">\n<!--\ntarget:'#plot_"+
             plot_id+"',\nwidth:"+width+",\nheight:"+height+",\n"+code+"\n-->\n</div>\n";
	};
	function initialize(){
		var plots = document.querySelectorAll("div.plot");
		for (var i = 0; i < plots.length; i++ ){
                  var element=plots[i];
                  if( !element.getAttribute('code-parsed') ) {
                 	element.setAttribute( 'code-parsed', true );
			var info = element.innerHTML.trim().match(/<!--[\s\S]*?-->/);
                        if(info) {
                             opts=info[0].replace(/^<!--/,'{').replace(/-->$/,'}');
			     opts=opts.replace(/([a-zA-Z][a-zA-Z0-9]*)\s*:/g,'"$1":');
			     opts=opts.replace(/'([^'\n]*)'/g,'"$1"');
                             opts=JSON.parse(opts);
			     functionPlot(opts);
                        }
                   }

                }
        }
      return initialize;
})();
