(function($){

function createQuizStructure(quizNode, classname) {

  var quizDiv = document.createElement('div');

  quizDiv.innerHTML = `
  <div id="` + classname + `">
          <h2 class="quizName"><!-- where the quiz name goes --></h2>
          <div class="quizArea">
              <div class="quizHeader">
                  <!-- where the quiz main copy goes -->
                  <a class="button startQuiz" href="#">Начать тест!</a>
              </div>
              <!-- where the quiz gets built -->
          </div>
          <div class="quizResults">
              <p class="quizScore">Правильных ответов: <span><!-- where the quiz score goes --></span></p>
              <p class="quizLevel"><span><!-- where the quiz ranking level goes --></span></p>
              <div class="quizResultsCopy">
                  <!-- where the quiz result copy goes -->
              </div>
          </div>
  </div>
  `;

  quizNode.parentNode.insertBefore(quizDiv, quizNode);
}

 const quizzes = document.querySelectorAll( '[data-quiz]');

      for (var i = 0, len = quizzes.length; i < len; i++) {
        const quizNode = quizzes[i];
        const quizSource = quizNode.textContent;

        const classname = 'slickQuiz-' + i;

        createQuizStructure(quizNode, classname);
	var options = Reveal.getConfig().quiz || {};
        options.json = JSON.parse(quizSource);
        $('#'+classname).slickQuiz(options);
      }

})(jQuery);
